View Issue Details

IDProjectCategoryView StatusLast Update
0000002ImageMagickpublic2007-04-15 19:54
ReporterchenneckeAssigned Topsmedley 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformIntel x86OSeComStationOS Version1.1
Summary0000002: identify.exe fails on PDFs and AIs
DescriptionThe command line tool indentify.exe fails to work on PDF and AI files. The error message is:

identify: UnableToOpenConfigureFile `delegates.xml'

The file "delegates.xml" *does* exist, though. Apparently, ImageMagick looks for its configuration files below the directory that was defined via "configure --prefix". This is likely to affect other situations that require access to the configuration files, too.
Steps To ReproduceInvoke identify on any PDF or AI file:

identify test.pdf
identify test.ai
Additional InformationA solution could be to follow the UnixOS2.org approach and install ImageMagick in /usr and respect the UNIXROOT=<drive:> environment variable.

Maybe also just using configure prefix=/usr would work but maybe only if ImageMagick is invoked from the drive it is installed on.
TagsNo tags attached.

Activities

psmedley

2006-04-02 09:30

administrator   ~0000002

According to the documentation at www.imagemagick.org, you can specify the location of the configuration files using MAGICK_CONFIGURE_PATH - ie

set MAGICK_CONFIGURE_PATH=U:\imagemagick\lib\ImageMagick-6.2.6\config

The full list of environment variables is at: http://www.imagemagick.org/script/resources.php#environment

I'll add this to the readme before doing a publich announcment.

chennecke

2006-04-03 07:49

reporter   ~0000003

That's a lot of settings that need to be added to CONFIG.SYS then. The page says that an "uninstalled" copy of ImageMagick also looks for the files below the directory set via MAGICK_HOME. If you could produce an "uninstalled" version, people could place ImageMagick where they like and simply SET MAGICK_HOME in CONFIG.SYS.

Anyway, I tried setting MAGICK_CONFIGURE_PATH and ImageMagick invoked Ghostscript. That crashed with the following message:

Error: /undefined in pL
Operand stack:

Execution stack:
   %interp_exit .runexec2 --nostringval-- --nostringval-- --nostringval-
- 2 %stopped_push --nostringval-- --nostringval-- --nostringval-- fa
lse 1 %stopped_push 1 3 %oparray_pop 1 3 %oparray_pop 1 3
%oparray_pop 1 3 %oparray_pop .runexec2 --nostringval-- --nostringva
l-- --nostringval-- 2 %stopped_push --nostringval--
Dictionary stack:
   --dict:1132/1686(ro)(G)-- --dict:0/20(G)-- --dict:70/200(L)--
Current allocation mode is local
Current file position is 4
AFPL Ghostscript 8.53: Unrecoverable error, exit code 1
identify: Postscript delegate failed `h:/download/pdf/01agbn.pdf'.

As far as "undefined in pL" is concerned, "pL" are the first characters of a temporary file that identify.exe created. Strange.

psmedley

2006-04-03 08:44

administrator   ~0000005

Does just setting MAGICK_HOME help with finding delegates.xml? I only tested with MAGICK_CONFIGURE_PATH but maybe MAGICK_HOME is sufficient...

I got as far as it needing ghostscript and stopped - I'll try reproduce this failure tonight...

I have a build of ghostscript done with innotek gcc - maybe this will help somehow....

chennecke

2006-04-04 00:29

reporter   ~0000006

No, MAGICK_HOME doesn't work at all. According to the documentation this variable is only processed if ImageMagick has no hard-coded paths.

psmedley

2007-01-13 02:31

administrator   ~0000503

OK - http://smedley.info/ImageMagick-6.3.1-os2.zip seems to resolve the issues with conversion of EPS and PDF files using convert.exe and gs.exe

psmedley

2007-01-13 03:56

administrator   ~0000508

Oops not quite there, whilst "convert Document-1.pdf test.png" works, "convert m:\Document-1.pdf test.png" fails with a similar error to previous described

psmedley

2007-01-13 03:58

administrator   ~0000509

"convert \Document-1.pdf test.png" & "convert /Document-1.pdf test.png" also work so it's something to do with the way the path gets passed to ghostscript.

Most probably, convert is removing anything prior to the colon as generally that is the image type, ie convert ppm:image.ppm

psmedley

2007-04-15 19:54

administrator   ~0000583

Fixed

Issue History

Date Modified Username Field Change
2006-04-02 04:43 chennecke New Issue
2006-04-02 09:22 psmedley Status new => assigned
2006-04-02 09:22 psmedley Assigned To => psmedley
2006-04-02 09:30 psmedley Note Added: 0000002
2006-04-03 07:49 chennecke Note Added: 0000003
2006-04-03 08:44 psmedley Note Added: 0000005
2006-04-04 00:29 chennecke Note Added: 0000006
2007-01-13 02:31 psmedley Status assigned => resolved
2007-01-13 02:31 psmedley Resolution open => fixed
2007-01-13 02:31 psmedley Note Added: 0000503
2007-01-13 03:56 psmedley Note Added: 0000508
2007-01-13 03:58 psmedley Note Added: 0000509
2007-04-15 19:54 psmedley Status resolved => closed
2007-04-15 19:54 psmedley Note Added: 0000583